Joomla! Güvenlik Haberleri

Joomla! LDAP İnjection Güvenlik Açığı Düzeltildi

Kullanıcı Oyu: 5 / 5

Yıldız etkinYıldız etkinYıldız etkinYıldız etkinYıldız etkin
 

Joomla!, hesap bilgilerini çalmak ve web sitesi alanlarını tamamen tehlikeye atmak için kullanılabilecek kritik bir hatayı düzeltti. Bu kusur, yönetici hesap ayrıntılarını çalmak ve web sitelerini ele geçirmek için kullanılabilir.

RIPS Tech'deki araştırmacılar, yönetici kimlik bilgilerini gösteren Joomla! 1.5 ve 3.7.5 sürümleri arasındaki Joomla! sürümlerini etkileyen bir giriş sayfası güvenlik açığı keşfetti. RIPS Tech'deki açıklamaya Buradan ulaşabilirsiniz.

Oturum açma denetleyicisinde daha önce bilinmeyen bir LDAP İnjection zayıflığı tespit eden araştırmacılar, bunun bir güvenlik açığı olduğunu ve saldırganların uzaktan "süper kullanıcı" şifresini kör enjeksiyon teknikleriyle sızdırmasına ve herhangi bir Joomla! kimlik doğrulama için LDAP kullanan sitelerin saniyeler içinde ele geçirilebileceğini aktardı.

Joomla! güvenlik ekibine 27 Temmuz 'da bildirilen güvenlik açığından sonra, güvenlik ekibi konuyu ele alarak gerekli çalışmayı ve açıklamayı yapmıştır. Joomla! güvenlik ekibi popüler CMS 'de bulunan sekiz yıllık kritik LDAP İnjection güvenlik açığını yeni sürüm (3.8.0) ile birlikte düzelttiğini açıklamıştır.. LDAP bağlantılı güvenlik açığı hakkında, Joomla! güvenlik merkezinde yapılan özet açıklamaya Buradan ulaşabilirsiniz.

LDAP Nedir?

Lightweight Directory Access Protocol veya kısaca LDAP (Türkçe: Basit İndeks Erişim Protokolü) TCP / IP üzerinde çalışan indeks servislerini sorgulama ve değiştirme amacıyla kullanılan uygulama katmanı protokolü.

Basit İndeks Erişim Protokolü (LDAP), Joomla! tarafından TCP / IP üzerinden dizinlere erişmek için kullanılır. Eklenti CMS ile entegredir. LDAP güvenlik açığı, Joomla! güvenlik duyuruları kısmında önem derecesi olarak "orta" derece olarak belirtilse de, RIPS Tech araştırmacılarına göre, sorun kritik bir konuma daha yakın.

Saldırgan Ne Yapabilir?

Oturum açma sayfasındaki güvenlik açığından yararlanarak, saldırgan Joomla! 'nın kimlik doğrulaması için LDAP kullanacak şekilde yapılandırılmış olması koşuluyla tüm kimlik doğrulama bilgilerini etkin bir şekilde ayıklayabilir. Bunlara süper kullanıcının, Joomla! kullanıcı adı ve şifresi de dahildir. Saldırgan, daha sonra yönetici denetim masasına giriş yaparak Joomla! hizmetini devralmak için ele geçirilen bilgileri kullanabilir!.

Etkilenen Siteler Var mı?

LDAP İnjection güvenlik açığının Joomla! 1.5 sürümü ile 3.7.5 sürümleri arasındaki sürümleri etkilediğini göz önünde bulundurursak, güvenlik açığının son sekiz yıldır var olduğunu söylemek mümkün.. Buna göre, bu güvenlik açığından etkilenen sitelerin var olup / olmadığı ise şuan için henüz bilinmiyor.

Sorunun Çözümü Nedir?

Joomla! 3.8.0 sürümünde LDAP İnjection güvenlik açığının düzeltildiği belirtilmişti, bu sebeple web sitelerinizi Joomla! 'nın en son sürümü olan Joomla! 3.8.0 sürümüne yükseltmeniz tavsiye edilir.

Kaynaklar: joomla.org - ripstech.com - zdnet.com

NOT: Güvenlik açığı Joomla! güvenlik ekibine açıklandı ve Temmuz ayında onaylandıktan sonra, en yeni Joomla! sürümü 3.8 sürümüyle bir düzeltme açıklandı.